package domain


type AlibabaWdkFinanceOrderBackflowFinanceOrderDetail struct {
    /*
        币种     */
    Currency  *string `json:"currency,omitempty" `

    /*
        未税销售净额     */
    UntaxSaleTotalAmount  *int64 `json:"untax_sale_total_amount,omitempty" `

    /*
        含税销售净额     */
    SaleTotalAmount  *int64 `json:"sale_total_amount,omitempty" `

    /*
        未税优惠金额     */
    UntaxDiscountAmount  *int64 `json:"untax_discount_amount,omitempty" `

    /*
        含税优惠金额     */
    DiscountAmount  *int64 `json:"discount_amount,omitempty" `

    /*
        未税金额     */
    UntaxAmount  *int64 `json:"untax_amount,omitempty" `

    /*
        含税金额     */
    Amount  *int64 `json:"amount,omitempty" `

    /*
        含税商品单价（元）     */
    UnitPrice  *int64 `json:"unit_price,omitempty" `

    /*
        交易数量     */
    Quantity  *int64 `json:"quantity,omitempty" `

    /*
        税率     */
    TaxRate  *string `json:"tax_rate,omitempty" `

    /*
        销售渠道     */
    SaleChannel  *string `json:"sale_channel,omitempty" `

    /*
        销售来源     */
    SaleSource  *string `json:"sale_source,omitempty" `

    /*
        交易类型     */
    TradeType  *string `json:"trade_type,omitempty" `

    /*
        商品名称     */
    SkuName  *string `json:"sku_name,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        业务主订单id     */
    PTradeId  *string `json:"p_trade_id,omitempty" `

    /*
        门店名称     */
    ShopName  *string `json:"shop_name,omitempty" `

    /*
        门店编码     */
    ShopCode  *string `json:"shop_code,omitempty" `

    /*
        交易时间，用户实际下单时间，格式：HH:mm:ss     */
    TradeTime  *string `json:"trade_time,omitempty" `

    /*
        业务日期，用户实际下单日期，格式：yyyyMMdd     */
    BizDate  *string `json:"biz_date,omitempty" `

    /*
        业务主键     */
    BizUk  *string `json:"biz_uk,omitempty" `

    /*
        交易类型编码      * 88 - 销售      * 99 - 退款     */
    TradeTypeCode  *int64 `json:"trade_type_code,omitempty" `

}

func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetCurrency(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.Currency = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetUntaxSaleTotalAmount(v int64) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.UntaxSaleTotalAmount = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetSaleTotalAmount(v int64) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.SaleTotalAmount = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetUntaxDiscountAmount(v int64) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.UntaxDiscountAmount = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetDiscountAmount(v int64) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.DiscountAmount = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetUntaxAmount(v int64) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.UntaxAmount = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetAmount(v int64) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.Amount = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetUnitPrice(v int64) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.UnitPrice = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetQuantity(v int64) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.Quantity = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetTaxRate(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.TaxRate = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetSaleChannel(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.SaleChannel = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetSaleSource(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.SaleSource = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetTradeType(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.TradeType = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetSkuName(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.SkuName = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetSkuCode(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetPTradeId(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.PTradeId = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetShopName(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.ShopName = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetShopCode(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.ShopCode = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetTradeTime(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.TradeTime = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetBizDate(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.BizDate = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetBizUk(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.BizUk = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail) SetTradeTypeCode(v int64) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetail {
    s.TradeTypeCode = &v
    return s
}
